﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kivii.Icbc.Entities
{
    public class ICBC
    {
        /// <summary>
        /// 借贷标志
        /// </summary>
        public string Drcrf { get; set; }
        /// <summary>
        /// 凭证号
        /// </summary>
        public string VouhNo { get; set; }
        /// <summary>
        /// 借方发生额
        /// </summary>
        public decimal DebitAmount { get; set; }
        /// <summary>
        /// 贷方发生额
        /// </summary>
        public decimal CreditAmount { get; set; }
        /// <summary>
        /// 当前余额
        /// </summary>
        public string Balance { get; set; }
        /// <summary>
        /// 对方行号
        /// </summary>
        public string RecipBkNo { get; set; }
        /// <summary>
        /// 对方行名
        /// </summary>
        public string RecipBkName { get; set; }
        /// <summary>
        /// 对方账号
        /// </summary>
        public string RecipAccNo { get; set; }
        /// <summary>
        /// 对方户名
        /// </summary>
        public string RecipName { get; set; }
        /// <summary>
        /// 摘要
        /// </summary>
        public string Summary { get; set; }
        /// <summary>
        /// 用途
        /// </summary>
        public string UseCN { get; set; }
        /// <summary>
        /// 附言
        /// </summary>
        public string PostScript { get; set; }
        /// <summary>
        /// 业务代码
        /// </summary>
        public string BusCode { get; set; }
        /// <summary>
        /// 交易日期
        /// </summary>
        public string Date { get; set; }
        /// <summary>
        /// 时间戳
        /// </summary>
        public string Time { get; set; }
        /// <summary>
        /// 业务编号
        /// </summary>
        public string Ref { get; set; }
        /// <summary>
        /// 相关业务编号
        /// </summary>
        public string Oref { get; set; }
        /// <summary>
        /// 英文备注
        /// </summary>
        public string EnSummary { get; set; }
        /// <summary>
        /// 业务种类
        /// </summary>
        public string BusType { get; set; }
        /// <summary>
        /// 凭证种类
        /// </summary>
        public string VouhType { get; set; }
        /// <summary>
        /// 附加信息
        /// </summary>
        public string AddInfo { get; set; }
        /// <summary>
        /// 电子回单唯一标识
        /// </summary>
        public string Toutfo { get; set; }
        /// <summary>
        /// 银行交易流水号
        /// </summary>
        public string OnlySequence { get; set; }
        /// <summary>
        /// 财务公司二级账户账号
        /// </summary>
        public string AgentAcctName { get; set; }
        /// <summary>
        /// 财务公司二级账户账号
        /// </summary>
        public string AgentAcctNo { get; set; }
        /// <summary>
        /// 冲正标志，0:正常
        /// </summary>
        public string UpDtranf { get; set; }
        /// <summary>
        /// 起息日
        /// </summary>
        public string ValueDate { get; set; }
        /// <summary>
        /// 工行交易代码
        /// </summary>
        public string TrxCode { get; set; }
        /// <summary>
        /// 业务编号1
        /// </summary>
        public string Ref1 { get; set; }
        /// <summary>
        /// 相关业务编号1
        /// </summary>
        public string Oref1 { get; set; }
        /// <summary>
        /// 交易类型
        /// </summary>
        public string CASHF { get; set; }
        /// <summary>
        /// 入账日期
        /// </summary>
        public string BusiDate { get; set; }
        /// <summary>
        /// 入账时间
        /// </summary>
        public string BusiTime { get; set; }
        public string TradeTime { get; set; }
        /// <summary>
        /// 交易场所
        /// </summary>
        public string TradeLocation { get; set; }
        /// <summary>
        /// 账号序号
        /// </summary>
        public string SubAcctSeq { get; set; }
        /// <summary>
        /// 币种
        /// </summary>
        public string THCurrency { get; set; }
        /// <summary>
        /// 对方行名
        /// </summary>
        public string RecipBkName1 { get; set; }
        /// <summary>
        /// 对方行号
        /// </summary>
        public string RecipBkNo1 { get; set; }
        /// <summary>
        /// 电子回单唯一标识
        /// </summary>
        public string TInfoNew { get; set; }
        /// <summary>
        /// 跨行退回原因
        /// </summary>
        public string RefundMsg { get; set; }
        /// <summary>
        /// 回单业务种类
        /// </summary>
        public string BusTypNo { get; set; }
        /// <summary>
        /// 回单个性化信息
        /// </summary>
        public string ReceiptInfo { get; set; }
        /// <summary>
        /// 柜员号
        /// </summary>
        public string TelNo { get; set; }
        /// <summary>
        /// 本方财智账户卡卡号（管家卡卡号）
        /// </summary>
        public string MDCARDNO { get; set; }
        public string TrxAmt { get; set; }
        public string TrxCurr { get; set; }
        /// <summary>
        /// 币种
        /// </summary>
        public string CurrType { get; set; }
    }

    public class ICBCConfig
    {
        public string AccNo { get; set; }
        public string AccName { get; set; }
        public string currentBalance { get; set; }

        public DateTime BeginDate { get; set; }
        public DateTime EndDate { get; set; }
        public string MinAmt { get; set; }
        public string MaxAmt { get; set; }
    }
}
